# RootFinder Class Reference

`#include <polynomial_root.h>`

List of all members.

## Public Member Functions

void | find_all_roots (bool polish)

## Public Attributes

std::vector< std::complex < float > > | coefs
std::vector< std::complex < float > > | roots

## Member Function Documentation

void RootFinder::find_all_roots | ( | bool | polish | ) |

References std::abs(), coefs, EPS, laguer(), MAXM, and roots.

## Member Data Documentation

std::vector< std::complex<float> > RootFinder::coefs

Referenced by find_all_roots().

std::vector< std::complex<float> > RootFinder::roots

Referenced by find_all_roots().

The documentation for this class was generated from the following files:

- polynomial_root.h
- polynomial_root.cpp